#!/bin/bash        

# Slayer's ZDaemon Instalation Script        
# This will install the ZDaemon and Gnome ZDaemon Launcher bianaries into the
# Assigned directories.(it will create them if they don't exist)
# It will also install the two man pages I wrote.
# Edit the following variables.
# NOTE: the launcher tools need to be installed in /usr/local/bin for the
# launcher to work properly.
# Edited on July 5th 2001

# comment out the following 4 lines below or the script won't run
echo -e "\033[1;31m"
echo "YOU DIDNT READ AND EDIT Zinstall.sh!"
echo -e "\033[1;0m"
exit

####################################
# Edit these if you need to. 	   #
####################################                   
# User Defined Variables      	   #
####################################################################
zdaemon="/usr/local/bin/"             # ZDaemon path               #
zserv="/usr/local/bin/"               # ZDaemon Server path        #
zwad="/usr/local/share/zdoom/"        # ZDaemon WAD location       #
libs="/usr/local/lib/"                # ZDaemon svga libs          #
gzdl="/usr/local/bin/"                # Gnome Launcher path        #
man="/usr/man/man1/"		      # Your man path(for man page)#
mkwt="/usr/sbin/makewhatis"           # Builds the man database    #
skins="/usr/local/share/zdoom/skins/" # ZDaemon skin pack          #
####################################################################
# End of User Variables		   #
####################################
ztools="/usr/local/bin/"           #
####################################


################### DO NOT EDIT ANYTHING BELOW THIS LINE ########

version="0.99a" #Version of this script
zver="0.99b"   #version of ZDaemon
gzdv="0.99b"    #Version of Gnome ZDaemon Launcher

cl="/usr/bin/clear"
$cl

##################### Welcome Text ##############################

echo -e "\033[1;31m"
echo "Welcome to Slayer's ZDaemon Installer Version $version"
echo ""
echo -e "\033[1;36m"

##################### Create Directories ########################

echo "Checking to see if the install Directories Exist"
echo "Creating then if they don't"              
mkdir -p "$zdaemon"
mkdir -p "$zserv"
mkdir -p "$zwad"
mkdir -p "$libs"
mkdir -p "$gzdl"
mkdir -p "$ztools"
mkdir -p "$skins"
(sleep 3)

######################## Verify the paths  ######################

echo"" 
echo""
echo "ZDaemon version $zver will be installed in the following directories"
echo ""                                                             
echo "ZDaemon client $zdaemon"
echo "ZDaemon server $zserv"
echo "zdoom svga and X libs $libs"
echo "ZDaemon WAD $zwad"
echo "Gnome ZDaemon Launcher $gzdl"
echo ""
echo "If the above is correct hit Enter to continue"
echo -n 'If its incorrect hit ctrl-c to exit and edit Zinstall.sh ' ; read pause
(sleep 1)

########################## Start the Install ####################

echo -e "\033[1;32m"
echo "I am now installing ZDaemon and the Gnome ZDaemon Launcher"
echo "Writing ZDaemon client to $zdaemon...........[ok]"
install -m 755 bin/zdaemon $zdaemon            
(sleep 1)
echo "Writing ZDaemon Server files to $zserv ..........[ok]"
install -m 755 bin/Zserv $zserv                   
install -m 755 zdaemon/zserver.cfg $zwad
(sleep 1)
echo "Writing zdaemon.wad to $zwad ...............[ok]"
(sleep 1)
install -m 644 zdaemon/zdaemon.wad $zwad                   
install -m 644 zdaemon/zskins.wad $skins
echo "Writing zdoom svga and X libs to $libs ................[ok]"
(sleep 1)
install -m 644 lib/libzdoom-svgalib.so $libs                   
install -m 644 lib/libzdoom-x.so $libs
echo "Writing Gnome ZDaemon Launcher files to $gzdl ...............[ok]"
(sleep 1)
install -m 755 gzdl-0.99-i386/gzdl $gzdl             
echo "Writing ztools to $ztools ...................[ok]"
(sleep 1)
install -m 755 gzdl-0.99-i386/zinfo $ztools           
install -m 755 gzdl-0.99-i386/zspy $ztools           
echo "Writing ZDaemon man pages to $man ......................[ok]"
(sleep 1)
install -m 755 man/zdaemon.1.gz $man                               
install -m 755 man/zserv.1.gz $man
(sleep 1)

########################### Instalation Complete Stuff ##########

echo -e "\033[1;31m"
echo ""
echo "Installation Complete"
echo ""
echo "To use the Gnome ZDaemon Launcher type gzdl"
echo ""
echo "Need help?" 
echo "goto http://www.truelights.com"      
echo "http://www.doom2.org"
echo "or type man zdaemon(for client info)"
echo "man zserv(for dedicated server info)"                                     
echo ""
echo "Thank you for installing ZDaemon"
echo -e "\033[1;0m"
exec $mkwt

############################# That's all Folks ##################
